Package net.md_5.bungee.api.connection

# Enum ProxiedPlayer.MainHand

java.lang.Object
java.lang.Enum<ProxiedPlayer.MainHand>
net.md_5.bungee.api.connection.ProxiedPlayer.MainHand

All Implemented Interfaces:
  `Serializable`, `Comparable<ProxiedPlayer.MainHand>`

Enclosing interface:
  ProxiedPlayer

public static enum ProxiedPlayer.MainHand extends Enum<ProxiedPlayer.MainHand>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LEFT`
  `RIGHT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ProxiedPlayer.MainHand`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ProxiedPlayer.MainHand[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT

    public static final ProxiedPlayer.MainHand LEFT

  - ### RIGHT

    public static final ProxiedPlayer.MainHand RIGHT

- ## Method Details

  - ### values

    public static ProxiedPlayer.MainHand[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ProxiedPlayer.MainHand valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null